CVE-2016-7116

NameCVE-2016-7116
DescriptionDirectory traversal vulnerability in hw/9pfs/9p.c in QEMU (aka Quick Emulator) allows local guest OS administrators to access host files outside the export path via a .. (dot dot) in an unspecified string.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1599-1, DLA-618-1, DLA-619-1
NVD severitylow
Debian Bugs836502

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
qemu (PTS)jessie1:2.1+dfsg-12+deb8u6vulnerable
jessie (security)1:2.1+dfsg-12+deb8u13fixed
stretch1:2.8+dfsg-6+deb9u8fixed
stretch (security)1:2.8+dfsg-6+deb9u9fixed
buster1:3.1+dfsg-8+deb10u3fixed
buster (security)1:3.1+dfsg-8+deb10u4fixed
bullseye, sid1:4.2-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
qemusource(unstable)1:2.6+dfsg-3.1836502
qemusourcejessie1:2.1+dfsg-12+deb8u8DLA-1599-1
qemusourcewheezy1.1.2+dfsg-6+deb7u15DLA-618-1
qemu-kvmsource(unstable)(unfixed)
qemu-kvmsourcewheezy1.1.2+dfsg-6+deb7u15DLA-619-1

Notes

Fixed by: http://git.qemu.org/?p=qemu.git;a=commit;h=56f101ecce0eafd09e2daf1c4eeb1377d6959261
May as well need: http://git.qemu.org/?p=qemu.git;a=commit;h=fff39a7ad09da07ef490de05c92c91f22f8002f2

Search for package or bug name: Reporting problems